﻿select 'cdma';
\copy  (with metric as ( select distinct submission_id , localdtime , row_number() over (partition by submission_id  order by localdtime) as metric_order from curr_cdmacelllocation   where extract (year from localdtime) = 2013  order by localdtime )   select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , retr_seconds (l.localdtime) - lag (retr_seconds (l.localdtime)) over (partition by l.submission_id order by  m.metric_order) as lead, m.metric_order,  metric   , ecio, dbm  from curr_submission_primarykey_clean p  inner join curr_cdmacelllocation  l on p.submission_id = l.submission_id   inner join metric m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime   where extract (year from l.localdtime) = 2013  ) to curr_cdmacelllocation_export-2013.csv csv header


\copy  (with metric as ( select distinct submission_id , localdtime , row_number() over (partition by submission_id  order by localdtime) as metric_order from curr_cdmacelllocation   where extract (year from localdtime) = 2014 order by  localdtime )   select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , retr_seconds (l.localdtime) - lag (retr_seconds (l.localdtime)) over (partition by l.submission_id order by  m.metric_order) as lead, m.metric_order,  metric   , ecio, dbm  from curr_submission_primarykey_clean p  inner join curr_cdmacelllocation  l on p.submission_id = l.submission_id   inner join metric m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2014  ) to curr_cdmacelllocation_export-2014.csv csv header


\copy  (with metric as ( select distinct submission_id , localdtime , row_number() over (partition by submission_id  order by localdtime) as metric_order from curr_cdmacelllocation   where extract (year from localdtime) = 2015 order by  localdtime )   select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , retr_seconds (l.localdtime) - lag (retr_seconds (l.localdtime)) over (partition by l.submission_id order by  m.metric_order) as lead, m.metric_order,  metric   , ecio, dbm  from curr_submission_primarykey_clean p  inner join curr_cdmacelllocation  l on p.submission_id = l.submission_id   inner join metric m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2015  ) to curr_cdmacelllocation_export-2015.csv csv header

select 'cpuactivity';

\copy (select primarykey as submission_id , date_trunc( 'hour' , l.localdtime) as date  ,  success , max_average , read_average from curr_submission_primarykey_clean p  inner join curr_cpuactivity  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013  ) to curr_cpuactivity_export-2013.csv csv header


\copy (select primarykey as submission_id , date_trunc( 'hour' , l.localdtime) as date  ,  success , max_average , read_average from curr_submission_primarykey_clean p  inner join curr_cpuactivity  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014  ) to curr_cpuactivity_export-2014.csv csv header


\copy (select primarykey as submission_id , date_trunc( 'hour' , l.localdtime) as date  ,  success , max_average , read_average from curr_submission_primarykey_clean p  inner join curr_cpuactivity  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015  ) to curr_cpuactivity_export-2015.csv csv header 


select 'curr_datacap';


\copy  ( select primarykey as submission_id , date_trunc( 'hour' , l.localdtime) as date ,  success  from curr_submission_primarykey_clean p  inner join curr_datacap  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013  ) to curr_datacap_export-2013.csv csv header 

\copy ( select primarykey as submission_id , date_trunc( 'hour' , l.localdtime) as date ,  success  from curr_submission_primarykey_clean p  inner join curr_datacap  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014  ) to curr_datacap_export-2014.csv csv header 

\copy ( select primarykey as submission_id , date_trunc( 'hour' , l.localdtime) as date ,  success  from curr_submission_primarykey_clean p  inner join curr_datacap  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015  ) to curr_datacap_export-2015.csv csv header 

select 'curr_gsmcelllocation';

\copy  (with metric as ( select distinct submission_id , localdtime , row_number() over (partition by submission_id  order by localdtime) as metric_order from curr_gsmcelllocation   where extract (year from localdtime) = 2013 order by  localdtime )   select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , retr_seconds (l.localdtime) - lag (retr_seconds (l.localdtime)) over (partition by l.submission_id order by  m.metric_order) as lead, m.metric_order,  metric   , signal_strength, umts_psc, location_area_code from  curr_submission_primarykey_clean p  inner join curr_gsmcelllocation  l on p.submission_id = l.submission_id   inner join metric m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2013  ) to curr_gsmcelllocation_export-2013.csv csv header 

\copy  (with metric as ( select distinct submission_id , localdtime , row_number() over (partition by submission_id  order by localdtime) as metric_order from curr_gsmcelllocation   where extract (year from localdtime) = 2014 order by  localdtime )   select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , retr_seconds (l.localdtime) - lag (retr_seconds (l.localdtime)) over (partition by l.submission_id order by  m.metric_order) as lead, m.metric_order,  metric   , signal_strength, umts_psc, location_area_code from  curr_submission_primarykey_clean p  inner join curr_gsmcelllocation  l on p.submission_id = l.submission_id   inner join metric m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2014  ) to curr_gsmcelllocation_export-2014.csv csv header


select 'curr_httpget';

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,  success         , target ipaddress , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads  from curr_submission_primarykey_clean p  inner join curr_httpget  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013   and where submission_id not in (select submission_id from pr_exclude_active_get2 ) to curr_httpget_export-2013.csv csv header 

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,  success         , target ipaddress , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads  from curr_submission_primarykey_clean p  inner join curr_httpget  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014   and where submission_id not in (select submission_id from pr_exclude_active_get2 ) to curr_httpget_export-2014.csv csv header 


\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,  success         , target ipaddress , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads    from curr_submission_primarykey_clean p  inner join curr_httpget  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015   and where submission_id not in (select submission_id from pr_exclude_active_get2 ) to curr_httpget_export-2015.csv csv header 


select' curr_httppost';

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,  success         , target ipaddress , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads   from curr_submission_primarykey_clean p  inner join curr_httppost  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013   and where submission_id not in (select submission_id from pr_exclude_active_post2 ) to curr_httppost_export-2013.csv csv header 

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,  success         , target ipaddress , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads     from curr_submission_primarykey_clean p  inner join curr_httppost  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014   and where submission_id not in (select submission_id from pr_exclude_active_post2 ) to curr_httppost_export-2014.csv csv header 

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,  success         , target ipaddress , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads  from curr_submission_primarykey_clean p  inner join curr_httppost  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015   and where submission_id not in (select submission_id from pr_exclude_active_post2 ) to curr_httppost_export-2015.csv csv header 

select 'curr_location';
 
\copy  (with metric as ( select distinct submission_id , localdtime , row_number() over (partition by submission_id  order by localdtime) as metric_order from curr_location   where extract (year from localdtime) = 2013 order by  localdtime )   select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , retr_seconds (l.localdtime) - lag (retr_seconds (l.localdtime)) over (partition by l.submission_id order by  m.metric_order) as lead, m.metric_order, (((   ST_Distance(l.geom , lag (l.geom ) over (partition by l.submission_id order by   metric_order) )  ))) as separation_distance, metric, source, accuracy, cma_id  from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2013  ) to curr_location_export-2013.csv csv header 

\copy  (with metric as ( select distinct submission_id , localdtime , row_number() over (partition by submission_id  order by localdtime) as metric_order from curr_location   where extract (year from localdtime) = 2014 order by  localdtime )   select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , retr_seconds (l.localdtime) - lag (retr_seconds (l.localdtime)) over (partition by l.submission_id order by  m.metric_order) as lead, m.metric_order, (((   ST_Distance(l.geom , lag (l.geom ) over (partition by l.submission_id order by   metric_order) )  ))) as separation_distance, metric, source, accuracy, cma_id  from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2014  ) to curr_location_export-2014.csv csv header 

\copy  (with metric as ( select distinct submission_id , localdtime , row_number() over (partition by submission_id  order by localdtime) as metric_order from curr_location   where extract (year from localdtime) = 2015 order by  localdtime )   select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , retr_seconds (l.localdtime) - lag (retr_seconds (l.localdtime)) over (partition by l.submission_id order by  m.metric_order) as lead, m.metric_order, (((   ST_Distance(l.geom , lag (l.geom ) over (partition by l.submission_id order by   metric_order) )  ))) as separation_distance, metric, source, accuracy, cma_id  from curr_submission_primarykey_clean p  inner join curr_location l on p.submission_id = l.submission_id   inner join metric m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2015  ) to curr_location_export-2015.csv csv header 


select 'curr_netactivity';  

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,  success    , maxbytesout, maxbytesin , bytesout   , bytesin from curr_submission_primarykey_clean p  inner join curr_netactivity l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013  ) to curr_netactivity_export-2013.csv csv header
  
\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,  success    , maxbytesout, maxbytesin , bytesout   , bytesin from curr_submission_primarykey_clean p  inner join curr_netactivity l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014  ) to curr_netactivity_export-2014.csv csv header 

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,  success    , maxbytesout, maxbytesin , bytesout   , bytesin from curr_submission_primarykey_clean p  inner join curr_netactivity l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015  ) to curr_netactivity_export-2015.csv csv header 
    
select 'curr_netusage'; 

\copy  (with metric as ( select distinct submission_id , localdtime , row_number() over (partition by submission_id  order by localdtime) as metric_order from curr_netusage   where extract (year from localdtime) = 2013 order by  localdtime )   select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , retr_seconds (l.localdtime) - lag (retr_seconds (l.localdtime)) over (partition by l.submission_id order by  m.metric_order) as lead, m.metric_order,  duration       , total_rx_bytes ,  total_tx_bytes ,  Mobile_rx_bytes,  mobile_tx_bytes,  app_rx_bytes   ,  app_tx_bytes from curr_submission_primarykey_clean p  inner join curr_netusage l on p.submission_id = l.submission_id   inner join metric m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2013  ) to curr_netusage_export-2013.csv csv header 

\copy  (with metric as ( select distinct submission_id , localdtime , row_number() over (partition by submission_id  order by localdtime) as metric_order from curr_netusage   where extract (year from localdtime) = 2014 order by  localdtime )   select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , retr_seconds (l.localdtime) - lag (retr_seconds (l.localdtime)) over (partition by l.submission_id order by  m.metric_order) as lead, m.metric_order,  duration       , total_rx_bytes ,  total_tx_bytes ,  Mobile_rx_bytes,  mobile_tx_bytes,  app_rx_bytes   ,  app_tx_bytes from curr_submission_primarykey_clean p  inner join curr_netusage l on p.submission_id = l.submission_id   inner join metric m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2014  ) to curr_netusage_export-2014.csv csv header

\copy  (with metric as ( select distinct submission_id , localdtime , row_number() over (partition by submission_id  order by localdtime) as metric_order from curr_netusage   where extract (year from localdtime) = 2015 order by  localdtime )   select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , retr_seconds (l.localdtime) - lag (retr_seconds (l.localdtime)) over (partition by l.submission_id order by  m.metric_order) as lead, m.metric_order,  duration       , total_rx_bytes ,  total_tx_bytes ,  Mobile_rx_bytes,  mobile_tx_bytes,  app_rx_bytes   ,  app_tx_bytes from curr_submission_primarykey_clean p  inner join curr_netusage l on p.submission_id = l.submission_id   inner join metric m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2015  ) to curr_netusage_export-2015.csv csv header

select 'curr_networkdata';
 
\copy  (with metric as ( select distinct submission_id , localdtime , row_number() over (partition by submission_id  order by localdtime) as metric_order from curr_networkdata   where extract (year from localdtime) = 2013 order by  localdtime )   select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , retr_seconds (l.localdtime) - lag (retr_seconds (l.localdtime)) over (partition by l.submission_id order by  m.metric_order) as lead, m.metric_order,  metric  connected               , active_network_type_code , active_network_type     , sim_operator_code       , sim_operator_name       , roaming                 , phone_type_code         , phone_type              , network_type_code       , network_type            , network_operator_code   ,  network_operator_name   ,  carrier,                  cell                    ,  cma_id  from curr_submission_primarykey_clean p  inner join curr_networkdata l on p.submission_id = l.submission_id   inner join metric m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2013  ) to curr_networkdata_export-2013.csv csv header 

\copy  (with metric as ( select distinct submission_id , localdtime , row_number() over (partition by submission_id  order by localdtime) as metric_order from curr_networkdata   where extract (year from localdtime) = 2014 order by  localdtime )   select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , retr_seconds (l.localdtime) - lag (retr_seconds (l.localdtime)) over (partition by l.submission_id order by  m.metric_order) as lead, m.metric_order,  metric  connected               , active_network_type_code , active_network_type     , sim_operator_code       , sim_operator_name       , roaming                 , phone_type_code         , phone_type              , network_type_code       , network_type            , network_operator_code   ,  network_operator_name   ,  carrier,                  cell                    ,  cma_id  from curr_submission_primarykey_clean p  inner join curr_networkdata l on p.submission_id = l.submission_id   inner join metric m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2014  ) to curr_networkdata_export-2014.csv csv header 

\copy  (with metric as ( select distinct submission_id , localdtime , row_number() over (partition by submission_id  order by localdtime) as metric_order from curr_networkdata   where extract (year from localdtime) = 2015 order by  localdtime )   select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date , retr_seconds (l.localdtime) - lag (retr_seconds (l.localdtime)) over (partition by l.submission_id order by  m.metric_order) as lead, m.metric_order,  metric  connected               , active_network_type_code , active_network_type     , sim_operator_code       , sim_operator_name       , roaming                 , phone_type_code         , phone_type              , network_type_code       , network_type            , network_operator_code   ,  network_operator_name   ,  carrier,                  cell                    ,  cma_id  from curr_submission_primarykey_clean p  inner join curr_networkdata l on p.submission_id = l.submission_id   inner join metric m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2015  ) to curr_networkdata_export-2015.csv csv header 

select 'curr_submission'; 

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,   enterprise_id , schedule_config_version , sim_operator_code      , submission_type        , timezone                       , app_version_code       , app_version_name       , tests                  , metrics                , conditions             , os_type                , os_version             , model                  , manufacturer   from curr_submission_primarykey_clean p  inner join curr_submission l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013  ) to curr_submission_export-2013.csv csv header 

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,   enterprise_id , schedule_config_version , sim_operator_code      , submission_type        , timezone                       , app_version_code       , app_version_name       , tests                  , metrics                , conditions             , os_type                , os_version             , model                  , manufacturer   from curr_submission_primarykey_clean p  inner join curr_submission l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014  ) to curr_submission_export-2014.csv csv header 

\copy (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date,   enterprise_id , schedule_config_version , sim_operator_code      , submission_type        , timezone                       , app_version_code       , app_version_name       , tests                  , metrics                , conditions             , os_type                , os_version             , model                  , manufacturer   from curr_submission_primarykey_clean p  inner join curr_submission l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015  ) to curr_submission_export-2015.csv csv header 

select 'curr_udplatency'; 

\copy  (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date, target , ipaddress, rtt_avg, rtt_min, rtt_max, rtt_stddev, received_packets, lost_packets   from curr_submission_primarykey_clean p  inner join curr_udplatency l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014    and where submission_id not in (select submission_id from pr_exclude_active_udp2) to curr_udplatency_export-2014.csv csv header 

\copy  (select primarykey as submission_id ,  date_trunc( 'hour' , l.localdtime) as date, target , ipaddress, rtt_avg, rtt_min, rtt_max, rtt_stddev, received_packets, lost_packets   from curr_submission_primarykey_clean p  inner join curr_udplatency l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015   and where submission_id not in (select submission_id from pr_exclude_active_udp2 ) to curr_udplatency_export-2015.csv csv header

