
--This table holds 32605 aggregated low-frequency manual test samples grouped by Year/Quarter/Hour, model, os version, CMA and a whitespace and case insensitive matching of SIM and network operator names and codes.  32605 test samples achieve a k-anonymity of two or greater with this aggregation.  This aggregation does not preserve either the year or day of the month but does provide the hour, which is valuable for manual test analysis.


--create table pr10v2ids_exclude_man  as (select s.submission_ID, s.submission_type, p.year , p.quarter, p.hour, p.model, p.os_version, p.cma_id, p.network_operator_name, p.network_operator_code, p.sim_operator_name, p.sim_operator_code  from pr10v2_exclude_man p inner join pr9v2_exclude_ids_DISTINCT  s on p.year = extract (year from s.date) and  p.quarter =  retr_quarter (s.date) and p.hour =  extract(hour from s.date)  and p.submission_type = s.submission_type and p.model = s.model and p.os_version = s.os_version and p.sim_operator_code =  upper(regexp_replace(s.sim_operator_code, '\s*', '', 'g'))   and   p.network_operator_code = upper(regexp_replace(s.network_operator_code, '\s*', '', 'g'))   and p.network_operator_name = upper(regexp_replace(s.network_operator_name, '\s*', '', 'g'))   and p.sim_operator_name = upper(regexp_replace(s.sim_operator_name, '\s*', '', 'g'))    and p.cma_id = s.cma_id );

---     DATA EXPORT SCRIPTS
-- All joins off the exportids_clean for higher frequency combinations
-- All other joins processed with second scripts

Select '-- -- curr_cdmacelllocation   ';
-- metric   , system_id , network_id, ecio, dbm  
-- excluded
-- base_station_id        
-- base_station_latitude  
-- base_station_longitude 
-- system_id , network_id,


-- s.submission_ID, s.submission_type, p.year , p.quarter, p.hour, p.model, p.os_version, p.cma_id, p.network_operator_name, p.network_operator_code, p.sim_operator_name, p.sim_operator_code

-- s.submission_ID, s.submission_type, p.date , p.period, p.model, p.os_version, p.cma_id, p.network_operator_name, p.network_operator_code, p.sim_operator_name, p.sim_operator_code 

-- mmba=# 


\copy  (    select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  metric   , ecio, dbm  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_cdmacelllocation  l on p.submission_id = l.submission_id   inner join metric_curr_cdmacelllocation  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime   where extract (year from l.localdtime) = 2013  ) to curr_cdmacelllocation_export-2013-pr10v2-manual.csv  csv header

\copy  (  select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  metric   , ecio, dbm  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_cdmacelllocation  l on p.submission_id = l.submission_id   inner join metric_curr_cdmacelllocation  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2014  ) to curr_cdmacelllocation_export-2014-pr10v2-manual.csv  csv header

\copy  ( select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  metric   , ecio, dbm  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_cdmacelllocation  l on p.submission_id = l.submission_id   inner join metric_curr_cdmacelllocation  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2015  ) to curr_cdmacelllocation_export-2015-pr10v2-manual.csv  csv header

\copy  (  select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  metric   , ecio, dbm  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_cdmacelllocation  l on p.submission_id = l.submission_id   inner join metric_curr_cdmacelllocation  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2016  ) to curr_cdmacelllocation_export-2016-pr10v2-manual.csv  csv header



-- SELECT 23476275












--curr_cellneighbourtower 
--curr_closesttarget      

select ' -- curr_cpuactivity      ';  
--  success , max_average , read_average

\copy (select primarykey as submission_id ,  extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour   ,  success , max_average , read_average from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_cpuactivity  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013  ) to curr_cpuactivity_export-2013-pr10v2-manual.csv  csv header

\copy (select primarykey as submission_id ,  extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour   ,  success , max_average , read_average from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_cpuactivity  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014  ) to curr_cpuactivity_export-2014-pr10v2-manual.csv  csv header

\copy (select primarykey as submission_id ,  extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour   ,  success , max_average , read_average from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_cpuactivity  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015  ) to curr_cpuactivity_export-2015-pr10v2-manual.csv  csv header

\copy (select primarykey as submission_id ,  extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour   ,  success , max_average , read_average from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_cpuactivity  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2016  ) to curr_cpuactivity_export-2016-pr10v2-manual.csv  csv header

--This table holds 32605 aggregated low-frequency manual test samples grouped by Year/Quarter/Hour, model, os version, CMA and a whitespace and case insensitive matching of SIM and network operator names and codes.  32605 test samples achieve a k-anonymity of two or greater with this aggregation.  This aggregation does not preserve either the year or day of the month but does provide the hour, which is valuable for manual test analysis.


--create table pr10v2ids_exclude_man  as (select s.submission_ID, s.submission_type, p.year , p.quarter, p.hour, p.model, p.os_version, p.cma_id, p.network_operator_name, p.network_operator_code, p.sim_operator_name, p.sim_operator_code  from pr10v2_exclude_man p inner join pr9v2_exclude_ids_DISTINCT  s on p.year = extract (year from s.date) and  p.quarter =  retr_quarter (s.date) and p.hour =  extract(hour from s.date)  and p.submission_type = s.submission_type and p.model = s.model and p.os_version = s.os_version and p.sim_operator_code =  upper(regexp_replace(s.sim_operator_code, '\s*', '', 'g'))   and   p.network_operator_code = upper(regexp_replace(s.network_operator_code, '\s*', '', 'g'))   and p.network_operator_name = upper(regexp_replace(s.network_operator_name, '\s*', '', 'g'))   and p.sim_operator_name = upper(regexp_replace(s.sim_operator_name, '\s*', '', 'g'))    and p.cma_id = s.cma_id );

---     DATA EXPORT SCRIPTS
-- All joins off the exportids_clean for higher frequency combinations
-- All other joins processed with second scripts

Select '-- -- curr_cdmacelllocation   ';
-- metric   , system_id , network_id, ecio, dbm  
-- excluded
-- base_station_id        
-- base_station_latitude  
-- base_station_longitude 
-- system_id , network_id,


-- s.submission_ID, s.submission_type, p.year , p.quarter, p.hour, p.model, p.os_version, p.cma_id, p.network_operator_name, p.network_operator_code, p.sim_operator_name, p.sim_operator_code

-- s.submission_ID, s.submission_type, p.date , p.period, p.model, p.os_version, p.cma_id, p.network_operator_name, p.network_operator_code, p.sim_operator_name, p.sim_operator_code 

-- mmba=# 


\copy  (    select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  metric   , ecio, dbm  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_cdmacelllocation  l on p.submission_id = l.submission_id   inner join metric_curr_cdmacelllocation  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime   where extract (year from l.localdtime) = 2013  ) to curr_cdmacelllocation_export-2013-pr10v2-manual.csv  csv header

\copy  (  select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  metric   , ecio, dbm  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_cdmacelllocation  l on p.submission_id = l.submission_id   inner join metric_curr_cdmacelllocation  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2014  ) to curr_cdmacelllocation_export-2014-pr10v2-manual.csv  csv header

\copy  ( select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  metric   , ecio, dbm  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_cdmacelllocation  l on p.submission_id = l.submission_id   inner join metric_curr_cdmacelllocation  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2015  ) to curr_cdmacelllocation_export-2015-pr10v2-manual.csv  csv header

\copy  (  select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  metric   , ecio, dbm  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_cdmacelllocation  l on p.submission_id = l.submission_id   inner join metric_curr_cdmacelllocation  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2016  ) to curr_cdmacelllocation_export-2016-pr10v2-manual.csv  csv header



-- SELECT 23476275












--curr_cellneighbourtower 
--curr_closesttarget      

select ' -- curr_cpuactivity      ';  
--  success , max_average , read_average

\copy (select primarykey as submission_id ,  extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour   ,  success , max_average , read_average from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_cpuactivity  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013  ) to curr_cpuactivity_export-2013-pr10v2-manual.csv  csv header

\copy (select primarykey as submission_id ,  extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour   ,  success , max_average , read_average from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_cpuactivity  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014  ) to curr_cpuactivity_export-2014-pr10v2-manual.csv  csv header

\copy (select primarykey as submission_id ,  extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour   ,  success , max_average , read_average from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_cpuactivity  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015  ) to curr_cpuactivity_export-2015-pr10v2-manual.csv  csv header


\copy (select primarykey as submission_id ,  extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour   ,  success , max_average , read_average from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_cpuactivity  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2016  ) to curr_cpuactivity_export-2016-pr10v2-manual.csv  csv header




select ' -- curr_datacap';
-- success

\copy  ( select primarykey as submission_id ,  extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  success  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_datacap  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013  ) to curr_datacap_export-2013-pr10v2-manual.csv  csv header

\copy ( select primarykey as submission_id ,  extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  success  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_datacap  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014  ) to curr_datacap_export-2014-pr10v2-manual.csv  csv header

\copy ( select primarykey as submission_id ,  extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  success  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_datacap  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015  ) to curr_datacap_export-2015-pr10v2-manual.csv  csv header

\copy ( select primarykey as submission_id ,  extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  success  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_datacap  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2016  ) to curr_datacap_export-2016-pr10v2-manual.csv  csv header

select ' -- curr_gsmcelllocation    ';
-- signal_strength, umts_psc
-- old

\copy  (  select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  metric   , signal_strength, umts_psc from   pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_gsmcelllocation  l on p.submission_id = l.submission_id   inner join metric_curr_gsmcelllocation  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2013  ) to curr_gsmcelllocation_export-2013-pr10v2-manual.csv  csv header

\copy  (  select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  metric   , signal_strength, umts_psc from   pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_gsmcelllocation  l on p.submission_id = l.submission_id   inner join metric_curr_gsmcelllocation  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2014  ) to curr_gsmcelllocation_export-2014-pr10v2-manual.csv  csv header

\copy  (  select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  metric   , signal_strength, umts_psc from   pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_gsmcelllocation  l on p.submission_id = l.submission_id   inner join metric_curr_gsmcelllocation  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2015  ) to curr_gsmcelllocation_export-2015-pr10v2-manual.csv  csv header

\copy  (  select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  metric   , signal_strength, umts_psc from   pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_gsmcelllocation  l on p.submission_id = l.submission_id   inner join metric_curr_gsmcelllocation  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2016  ) to curr_gsmcelllocation_export-2016-pr10v2-manual.csv  csv header

select ' -- curr_httpget            ';
-- primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success     , target     ipaddress , transfer_time    , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes     , number_of_threads
-- exclude cma_id, peak , lte, roam, cell, carrier, hour

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success , target , ipaddress , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads    from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_httpget  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013  ) to curr_httpget_export-2013-pr10v2-manual.csv  csv header 

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success     , target , ipaddress , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_httpget  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014   ) to curr_httpget_export-2014-pr10v2-manual.csv  csv header

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success     , target , ipaddress , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads    from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_httpget  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015   ) to curr_httpget_export-2015-pr10v2-manual.csv  csv header

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success     , target , ipaddress , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads    from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_httpget  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2016   ) to curr_httpget_export-2016-pr10v2-manual.csv  csv header



select ' -- curr_httppost     ';

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success     , target , ipaddress , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads   from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_httppost  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013   )to curr_httppost_export-2013-pr10v2-manual.csv  csv header

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success     , target , ipaddress , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads     from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_httppost  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014   ) to curr_httppost_export-2014-pr10v2-manual.csv  csv header

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success     , target , ipaddress , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_httppost  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015   ) to curr_httppost_export-2015-pr10v2-manual.csv  csv header

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success     , target , ipaddress , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_httppost  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2016   ) to curr_httppost_export-2016-pr10v2-manual.csv  csv header

      
select ' -- curr_location         ';  
-- REMOVED:  degrees( ST_Azimuth(l.geom , lag (l.geom ) over (partition by l.submission_id order by   metric_order) )) as azimuth,

\copy  (  select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  m.separation_distance, metric, source, accuracy, l.cma_id from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2013  ) to curr_location_export-2013-pr10v2-manual.csv  csv header 

\copy  (  select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  m.separation_distance, metric, source, accuracy, l.cma_id from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2014  ) to curr_location_export-2014-pr10v2-manual.csv  csv header

\copy  (  select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  m.separation_distance, metric, source, accuracy, l.cma_id from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2015  ) to curr_location_export-2015-pr10v2-manual.csv  csv header

\copy  (  select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  m.separation_distance, metric, source, accuracy, l.cma_id from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2016  ) to curr_location_export-2016-pr10v2-manual.csv  csv header 

select ' -- curr_netactivity  ';
-- success    , maxbytesout, maxbytesin , bytesout   , bytesin    

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success    , maxbytesout, maxbytesin , bytesout   , bytesin from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_netactivity l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013  ) to curr_netactivity_export-2013-pr10v2-manual.csv  csv header
  
\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success    , maxbytesout, maxbytesin , bytesout   , bytesin from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_netactivity l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014  ) to curr_netactivity_export-2014-pr10v2-manual.csv  csv header
  
\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success    , maxbytesout, maxbytesin , bytesout   , bytesin from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_netactivity l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015  ) to curr_netactivity_export-2015-pr10v2-manual.csv  csv header
  
\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success    , maxbytesout, maxbytesin , bytesout   , bytesin from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_netactivity l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2016  ) to curr_netactivity_export-2016-pr10v2-manual.csv  csv header
  
    
select ' -- curr_netusage           ';
-- duration       , total_rx_bytes ,  total_tx_bytes ,  Mobile_rx_bytes,  mobile_tx_bytes,  app_rx_bytes   ,  app_tx_bytes   


\copy  (    select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  duration       , total_rx_bytes ,  total_tx_bytes ,  Mobile_rx_bytes,  mobile_tx_bytes,  app_rx_bytes   ,  app_tx_bytes from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_netusage l on p.submission_id = l.submission_id   inner join metric_curr_netusage  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2013  ) to curr_netusage_export-2013-pr10v2-manual.csv  csv header

\copy  (    select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  duration       , total_rx_bytes ,  total_tx_bytes ,  Mobile_rx_bytes,  mobile_tx_bytes,  app_rx_bytes   ,  app_tx_bytes from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_netusage l on p.submission_id = l.submission_id   inner join metric_curr_netusage  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2014  ) to curr_netusage_export-2014-pr10v2-manual.csv  csv header

\copy  (    select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  duration       , total_rx_bytes ,  total_tx_bytes ,  Mobile_rx_bytes,  mobile_tx_bytes,  app_rx_bytes   ,  app_tx_bytes from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_netusage l on p.submission_id = l.submission_id   inner join metric_curr_netusage  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2015  ) to curr_netusage_export-2015-pr10v2-manual.csv  csv header

\copy  (    select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  duration       , total_rx_bytes ,  total_tx_bytes ,  Mobile_rx_bytes,  mobile_tx_bytes,  app_rx_bytes   ,  app_tx_bytes from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_netusage l on p.submission_id = l.submission_id   inner join metric_curr_netusage  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2016  ) to curr_netusage_export-2016-pr10v2-manual.csv  csv header




select ' -- curr_networkdata       '; 
-- connected               , active_network_type_code , active_network_type     , sim_operator_code       , sim_operator_name       , roaming                 , phone_type_code         , phone_type              , network_type_code       , network_type            , network_operator_code   ,  network_operator_name   ,  carrier,                  cell                    ,  l.cma_id                 

\copy  (    select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  metric , connected               , active_network_type_code , active_network_type          , roaming                 , phone_type_code         , phone_type              , network_type_code       , network_type            ,    l.network_operator_code   ,   l.network_operator_name  ,  l.sim_operator_code ,  l.sim_operator_name ,            cell                    ,  l.cma_id  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_networkdata l on p.submission_id = l.submission_id   inner join metric_curr_networkdata  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2013  ) to curr_networkdata_export-2013-pr10v2-manual.csv  csv header


\copy  (    select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  metric , connected               , active_network_type_code , active_network_type          , roaming                 , phone_type_code         , phone_type              , network_type_code       , network_type            ,    l.network_operator_code   ,   l.network_operator_name  ,  l.sim_operator_code ,  l.sim_operator_name ,            cell                    ,  l.cma_id  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_networkdata l on p.submission_id = l.submission_id   inner join metric_curr_networkdata  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2014  ) to curr_networkdata_export-2014-pr10v2-manual.csv  csv header

\copy  (    select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  metric , connected               , active_network_type_code , active_network_type          , roaming                 , phone_type_code         , phone_type              , network_type_code       , network_type            ,    l.network_operator_code   ,   l.network_operator_name  ,  l.sim_operator_code ,  l.sim_operator_name ,            cell                    ,  l.cma_id  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_networkdata l on p.submission_id = l.submission_id   inner join metric_curr_networkdata  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2015  ) to curr_networkdata_export-2015-pr10v2-manual.csv  csv header

\copy  (    select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  metric , connected               , active_network_type_code , active_network_type          , roaming                 , phone_type_code         , phone_type              , network_type_code       , network_type            ,    l.network_operator_code   ,   l.network_operator_name  ,  l.sim_operator_code ,  l.sim_operator_name ,            cell                    ,  l.cma_id  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_networkdata l on p.submission_id = l.submission_id   inner join metric_curr_networkdata  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2016  ) to curr_networkdata_export-2016-pr10v2-manual.csv  csv header

select ' -- curr_submission      ';   
-- enterprise_id , schedule_config_version , sim_operator_code      , submission_type        , timezone        , app_version_code       , app_version_name       , tests                  , metrics                , conditions             , os_type                , os_version             , model                  , manufacturer           
--Removed:
--  , received               , source_ip     


\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,   enterprise_id , schedule_config_version , l.sim_operator_code      , l.submission_type        , timezone                       , app_version_code       , app_version_name       , tests                  , metrics                , conditions             , os_type                , l.os_version             , l.model                  , manufacturer   from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_submission l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013  ) to curr_submission_export-2013-pr10v2-manual.csv  csv header 

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,   enterprise_id , schedule_config_version , l.sim_operator_code      , l.submission_type        , timezone                       , app_version_code       , app_version_name       , tests                  , metrics                , conditions             , os_type                , l.os_version             , l.model                  , manufacturer   from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_submission l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014  ) to curr_submission_export-2014-pr10v2-manual.csv  csv header

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,   enterprise_id , schedule_config_version , l.sim_operator_code      , l.submission_type        , timezone                       , app_version_code       , app_version_name       , tests                  , metrics                , conditions             , os_type                , l.os_version             , l.model                  , manufacturer   from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_submission l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015  ) to curr_submission_export-2015-pr10v2-manual.csv  csv header

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,   enterprise_id , schedule_config_version , l.sim_operator_code      , l.submission_type        , timezone                       , app_version_code       , app_version_name       , tests                  , metrics                , conditions             , os_type                , l.os_version             , l.model                  , manufacturer   from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_submission l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2016  ) to curr_submission_export-2016-pr10v2-manual.csv  csv header


select '--curr_udplatency        '; 
-- carrier, lte , year, quarter, hour, 
-- primarykey , from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_networkdata l on p.submission_id = l.submission_id , rtt_avg, rtt_min, rtt_max, rtt_stddev, received_packets, lost_packets 

\copy  (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  target , ipaddress , rtt_avg, rtt_min, rtt_max, rtt_stddev, received_packets, lost_packets   from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_udplatency l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013   ) to curr_udplatency_export-2013-pr10v2-manual.csv  csv header


\copy  (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  target , ipaddress , rtt_avg, rtt_min, rtt_max, rtt_stddev, received_packets, lost_packets   from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_udplatency l on p.submission_id =  l.submission_id where extract (year from l.localdtime) =  2014  ) to curr_udplatency_export-2014-pr10v2-manual.csv  csv header

\copy  (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  target , ipaddress , rtt_avg, rtt_min, rtt_max, rtt_stddev, received_packets, lost_packets   from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_udplatency l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015   ) to curr_udplatency_export-2015-pr10v2-manual.csv  csv header


\copy  (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  target , ipaddress , rtt_avg, rtt_min, rtt_max, rtt_stddev, received_packets, lost_packets   from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_udplatency l on p.submission_id =  l.submission_id where extract (year from l.localdtime) =  2016   ) to curr_udplatency_export-2016-pr10v2-manual.csv  csv header





\copy (select primarykey as submission_id ,  extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour   ,  success , max_average , read_average from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_cpuactivity  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2016  ) to curr_cpuactivity_export-2016-pr10v2-manual.csv  csv header




select ' -- curr_datacap';
-- success

\copy  ( select primarykey as submission_id ,  extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  success  
from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_datacap  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013  ) to curr_datacap_export-2013-pr10v2-manual.csv  csv header

\copy ( select primarykey as submission_id ,  extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  success  
from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_datacap  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014  ) to curr_datacap_export-2014-pr10v2-manual.csv  csv header

\copy ( select primarykey as submission_id ,  extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  success  
from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_datacap  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015  ) to curr_datacap_export-2015-pr10v2-manual.csv  csv header

\copy ( select primarykey as submission_id ,  extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  success  
from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_datacap  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2016  ) to curr_datacap_export-2016-pr10v2-manual.csv  csv header

select ' -- curr_gsmcelllocation    ';
-- signal_strength, umts_psc
-- old

\copy  (  select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  metric   , signal_strength, umts_psc from   pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_gsmcelllocation  l on p.submission_id = l.submission_id   inner join metric_curr_gsmcelllocation  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2013  ) to curr_gsmcelllocation_export-2013-pr10v2-manual.csv  csv header

\copy  (  select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  metric   , signal_strength, umts_psc from   pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_gsmcelllocation  l on p.submission_id = l.submission_id   inner join metric_curr_gsmcelllocation  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2014  ) to curr_gsmcelllocation_export-2014-pr10v2-manual.csv  csv header

\copy  (  select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  metric   , signal_strength, umts_psc from   pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_gsmcelllocation  l on p.submission_id = l.submission_id   inner join metric_curr_gsmcelllocation  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2015  ) to curr_gsmcelllocation_export-2015-pr10v2-manual.csv  csv header

\copy  (  select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  metric   , signal_strength, umts_psc from   pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_gsmcelllocation  l on p.submission_id = l.submission_id   inner join metric_curr_gsmcelllocation  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2016  ) to curr_gsmcelllocation_export-2016-pr10v2-manual.csv  csv header

select ' -- curr_httpget            ';
-- primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success     , target     ipaddress , transfer_time    , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes     , number_of_threads
-- exclude cma_id, peak , lte, roam, cell, carrier, hour

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success , target , ipaddress , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads    from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_httpget  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013  ) to curr_httpget_export-2013-pr10v2-manual.csv  csv header

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success     , target , ipaddress , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_httpget  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014   ) to curr_httpget_export-2014-pr10v2-manual.csv  csv header

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success     , target , ipaddress , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads    from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_httpget  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015   ) to curr_httpget_export-2015-pr10v2-manual.csv  csv header

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success     , target , ipaddress , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads    from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_httpget  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2016   ) to curr_httpget_export-2016-pr10v2-manual.csv  csv header



select ' -- curr_httppost     ';

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success     , target , ipaddress , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads   from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_httppost  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013   )to curr_httppost_export-2013-pr10v2-manual.csv  csv header

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success     , target , ipaddress , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads     from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_httppost  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014   ) to curr_httppost_export-2014-pr10v2-manual.csv  csv header

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success     , target , ipaddress , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_httppost  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015   ) to curr_httppost_export-2015-pr10v2-manual.csv  csv header

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success     , target , ipaddress , transfer_time , transfer_bytes   , bytes_sec  , warmup_time  , warmup_bytes , number_of_threads  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_httppost  l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2016   ) to curr_httppost_export-2016-pr10v2-manual.csv  csv header

      
select ' -- curr_location         ';  
-- REMOVED:  degrees( ST_Azimuth(l.geom , lag (l.geom ) over (partition by l.submission_id order by   metric_order) )) as azimuth,

\copy  (  select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  m.separation_distance, metric, source, accuracy, l.cma_id 
from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2013  ) to curr_location_export-2013-pr10v2-manual.csv  csv header

\copy  (  select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  m.separation_distance, metric, source, accuracy, l.cma_id 
from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2014  ) to curr_location_export-2014-pr10v2-manual.csv  csv header

\copy  (  select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  m.separation_distance, metric, source, accuracy, l.cma_id 
from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2015  ) to curr_location_export-2015-pr10v2-manual.csv  csv header
\copy  (  select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  m.separation_distance, metric, source, accuracy, l.cma_id 
from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_location l on p.submission_id = l.submission_id   inner join metric_curr_location  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2016  ) to curr_location_export-2016-pr10v2-manual.csv  csv header


select ' -- curr_netactivity  ';
-- success    , maxbytesout, maxbytesin , bytesout   , bytesin    

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success    , maxbytesout, maxbytesin , bytesout   , bytesin from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_netactivity l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013  ) to curr_netactivity_export-2013-pr10v2-manual.csv  csv header
  
\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success    , maxbytesout, maxbytesin , bytesout   , bytesin from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_netactivity l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014  ) to curr_netactivity_export-2014-pr10v2-manual.csv  csv header

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success    , maxbytesout, maxbytesin , bytesout   , bytesin from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_netactivity l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015  ) to curr_netactivity_export-2015-pr10v2-manual.csv  csv header
  
\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  success    , maxbytesout, maxbytesin , bytesout   , bytesin from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_netactivity l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2016  ) to curr_netactivity_export-2016-pr10v2-manual.csv  csv header
  
    
select ' -- curr_netusage           ';
-- duration       , total_rx_bytes ,  total_tx_bytes ,  Mobile_rx_bytes,  mobile_tx_bytes,  app_rx_bytes   ,  app_tx_bytes   


\copy  (    select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  duration       , total_rx_bytes ,  total_tx_bytes ,  Mobile_rx_bytes,  mobile_tx_bytes,  app_rx_bytes   ,  app_tx_bytes from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_netusage l on p.submission_id = l.submission_id   inner join metric_curr_netusage  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2013  ) to curr_netusage_export-2013-pr10v2-manual.csv  csv header

\copy  (    select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  duration       , total_rx_bytes ,  total_tx_bytes ,  Mobile_rx_bytes,  mobile_tx_bytes,  app_rx_bytes   ,  app_tx_bytes from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_netusage l on p.submission_id = l.submission_id   inner join metric_curr_netusage  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2014  ) to curr_netusage_export-2014-pr10v2-manual.csv  csv header

\copy  (    select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  duration       , total_rx_bytes ,  total_tx_bytes ,  Mobile_rx_bytes,  mobile_tx_bytes,  app_rx_bytes   ,  app_tx_bytes from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_netusage l on p.submission_id = l.submission_id   inner join metric_curr_netusage  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2015  ) to curr_netusage_export-2015-pr10v2-manual.csv  csv header

\copy  (    select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  duration       , total_rx_bytes ,  total_tx_bytes ,  Mobile_rx_bytes,  mobile_tx_bytes,  app_rx_bytes   ,  app_tx_bytes from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_netusage l on p.submission_id = l.submission_id   inner join metric_curr_netusage  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2016  ) to curr_netusage_export-2016-pr10v2-manual.csv  csv header




select ' -- curr_networkdata       '; 
-- connected               , active_network_type_code , active_network_type     , sim_operator_code       , sim_operator_name       , roaming                 , phone_type_code         , phone_type              , network_type_code       , network_type            , network_operator_code   ,  network_operator_name   ,  carrier,                  cell                    ,  l.cma_id                 

\copy  (    select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  metric , connected               , active_network_type_code , active_network_type          , roaming                 , phone_type_code         , phone_type              , network_type_code       , network_type            ,    l.network_operator_code   ,   l.network_operator_name  ,  l.sim_operator_code ,  l.sim_operator_name ,            cell                    ,  l.cma_id  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_networkdata l on p.submission_id = l.submission_id   inner join metric_curr_networkdata  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2013  ) to curr_networkdata_export-2013-pr10v2-manual.csv  csv header


\copy  (    select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  metric , connected               , active_network_type_code , active_network_type          , roaming                 , phone_type_code         , phone_type              , network_type_code       , network_type            ,    l.network_operator_code   ,   l.network_operator_name  ,  l.sim_operator_code ,  l.sim_operator_name ,            cell                    ,  l.cma_id  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_networkdata l on p.submission_id = l.submission_id   inner join metric_curr_networkdata  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2014  ) to curr_networkdata_export-2014-pr10v2-manual.csv  csv header

\copy  (    select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  metric , connected               , active_network_type_code , active_network_type          , roaming                 , phone_type_code         , phone_type              , network_type_code       , network_type            ,    l.network_operator_code   ,   l.network_operator_name  ,  l.sim_operator_code ,  l.sim_operator_name ,            cell                    ,  l.cma_id  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_networkdata l on p.submission_id = l.submission_id   inner join metric_curr_networkdata  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2015  ) to curr_networkdata_export-2015-pr10v2-manual.csv  csv header

\copy  (    select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour  ,  m.lead, m.metric_order,  metric , connected               , active_network_type_code , active_network_type          , roaming                 , phone_type_code         , phone_type              , network_type_code       , network_type            ,    l.network_operator_code   ,   l.network_operator_name  ,  l.sim_operator_code ,  l.sim_operator_name ,            cell                    ,  l.cma_id  from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_networkdata l on p.submission_id = l.submission_id   inner join metric_curr_networkdata  m on p.submission_id = m.submission_id and                      l.localdtime = m.localdtime    where extract (year from l.localdtime) = 2016  ) to curr_networkdata_export-2016-pr10v2-manual.csv  csv header

select ' -- curr_submission      ';   
-- enterprise_id , schedule_config_version , sim_operator_code      , submission_type        , timezone        , app_version_code       , app_version_name       , tests                  , metrics                , conditions             , os_type                , os_version             , model                  , manufacturer           
--Removed:
--  , received               , source_ip     


\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,   enterprise_id , schedule_config_version , l.sim_operator_code      , l.submission_type        , timezone                       , app_version_code       , app_version_name       , tests                  , metrics                , conditions             , os_type                , l.os_version             , l.model                  , manufacturer   from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_submission l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013  ) to curr_submission_export-2013-pr10v2-manual.csv  csv header

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,   enterprise_id , schedule_config_version , l.sim_operator_code      , l.submission_type        , timezone                       , app_version_code       , app_version_name       , tests                  , metrics                , conditions             , os_type                , l.os_version             , l.model                  , manufacturer   from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_submission l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2014  ) to curr_submission_export-2014-pr10v2-manual.csv  csv header

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,   enterprise_id , schedule_config_version , l.sim_operator_code      , l.submission_type        , timezone                       , app_version_code       , app_version_name       , tests                  , metrics                , conditions             , os_type                , l.os_version             , l.model                  , manufacturer   from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_submission l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015  ) to curr_submission_export-2015-pr10v2-manual.csv  csv header

\copy (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,   enterprise_id , schedule_config_version , l.sim_operator_code      , l.submission_type        , timezone                       , app_version_code       , app_version_name       , tests                  , metrics                , conditions             , os_type                , l.os_version             , l.model                  , manufacturer   from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_submission l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2016  ) to curr_submission_export-2016-pr10v2-manual.csv  csv header


select '--curr_udplatency        '; 
-- carrier, lte , year, quarter, hour, 
-- primarykey , from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_networkdata l on p.submission_id = l.submission_id , rtt_avg, rtt_min, rtt_max, rtt_stddev, received_packets, lost_packets 

\copy  (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  target , ipaddress , rtt_avg, rtt_min, rtt_max, rtt_stddev, received_packets, lost_packets   from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_udplatency l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2013   ) to curr_udplatency_export-2013-pr10v2-manual.csv  csv header


\copy  (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  target , ipaddress , rtt_avg, rtt_min, rtt_max, rtt_stddev, received_packets, lost_packets   from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_udplatency l on p.submission_id =  l.submission_id where extract (year from l.localdtime) =  2014  ) to curr_udplatency_export-2014-pr10v2-manual.csv  csv header

\copy  (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  target , ipaddress , rtt_avg, rtt_min, rtt_max, rtt_stddev, received_packets, lost_packets   from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_udplatency l on p.submission_id =  l.submission_id where extract (year from l.localdtime) = 2015   ) to curr_udplatency_export-2015-pr10v2-manual.csv  csv header


\copy  (select primarykey as submission_id ,   extract ( year from l.localdtime) as year, retr_quarter (  l.localdtime) as quarter ,    extract (hour from l.localdtime)  as hour ,  target , ipaddress , rtt_avg, rtt_min, rtt_max, rtt_stddev, received_packets, lost_packets   from  pr10v2ids_exclude_man i inner join curr_submission_primarykey_exclude p on i.submission_id = p.submission_id  inner join curr_udplatency l on p.submission_id =  l.submission_id where extract (year from l.localdtime) =  2016   ) to curr_udplatency_export-2016-pr10v2-manual.csv  csv header





